não consigo acessar Banco do Brasil

2

Comentários

  • dougpess disse:

    Você está com o firewall ativado; ou estava no momento da instalação?

    não, estava desativado
    ·
  • dougpess disse:

    Revisão do procedimento de instalação:

    1. Mantenha o firewall desativado.

    2. Remova os módulos que pedem ter sido instalados em tentativas anteriormente:
    sudo apt purge warsaw diagbb; sudo warsaw_uninstall

    3. Baixe o instalador do módulo:
    32-bit: https://www14.bancobrasil.com.br/downloads/ws/linux/diagbb-1.0.mint18.i386.deb
    64-bit: https://www14.bancobrasil.com.br/downloads/ws/linux/diagbb-1.0.mint18.amd64.deb

    4. Feche todos os navegadores.

    5. Navegue até a pasta onde o instalador do módulo foi baixado e execute-o.

    6. Ao final do processo, reinicie seu computador e, usando o Firefox, acesse a página de login do BB (https://www2.bancobrasil.com.br/aapf/login.jsp). Se tudo der certo, será exibido um pequeno formulário solicitando os dados da conta.

    OBS: Usando este procedimento, instalei o módulo com sucesso no Firefox, mas no Chrome infelizmente não funcionou.

    #Editado:
    Uma proposta de solução para o Chrome pode ser encontrada mais adiante na discussão.

    deu parcialmente certo, aparece o formulário para preenchimento, mas na tela seguinte mostra isso, (imagem anexo)
    ·
  • editado junho de 2017
    @jnejunior tenta no Google Chrome (não no Chromium) a seguinte dica que coloquei aqui anteriormente e que me foi repassada por @Sampayu:

    Já o Google Chrome deu problema. Como eu já analisei os arquivos de configuração desse Warsaw de cima pra baixo e de tudo quanto é jeito, eu sei que o Warsaw requer o Flash. Por isto, no caso do Google Chrome eu abri a página chrome://flags, daí lá onde consta Preferir HTML a Flash eu mudei o valor do parâmetro para Desativado (isso evita que no website do Banco do Brasil o navegador Google Chrome execute HTML5 no lugar do Flash, sendo que o website do banco requer Flash e não funciona com HTML5), em seguida fechei o Google Chrome e o abri novamente. Após isso, o Google Chrome acessou a conta normalmente (o módulo foi detectado e funcionou sem problemas).

    Também não consigo acessar pelo Firefox, apenas pelo Google Chrome. Quando tento pelo Firefox aparece a seguinte mensagem:


    Post edited by Alquintela on

    ·
  • Alquintela disse:

    @jnejunior tenta no Google Chrome (não no Chromium) a seguinte dica que coloquei aqui anteriormente e que me foi repassada por @Sampayu:

    Já o Google Chrome deu problema. Como eu já analisei os arquivos de configuração desse Warsaw de cima pra baixo e de tudo quanto é jeito, eu sei que o Warsaw requer o Flash. Por isto, no caso do Google Chrome eu abri a página chrome://flags, daí lá onde consta Preferir HTML a Flash eu mudei o valor do parâmetro para Desativado (isso evita que no website do Banco do Brasil o navegador Google Chrome execute HTML5 no lugar do Flash, sendo que o website do banco requer Flash e não funciona com HTML5), em seguida fechei o Google Chrome e o abri novamente. Após isso, o Google Chrome acessou a conta normalmente (o módulo foi detectado e funcionou sem problemas).

    Também não consigo acessar pelo Firefox, apenas pelo Google Chrome. Quando tento pelo Firefox aparece a seguinte mensagem:


    instalei o chrome, e deu a mesma tela do FireFox
    ·
  • jnejunior disse:

    dougpess disse:

    Revisão do procedimento de instalação:

    1. Mantenha o firewall desativado.

    2. Remova os módulos que pedem ter sido instalados em tentativas anteriormente:
    sudo apt purge warsaw diagbb; sudo warsaw_uninstall

    3. Baixe o instalador do módulo:
    32-bit: https://www14.bancobrasil.com.br/downloads/ws/linux/diagbb-1.0.mint18.i386.deb
    64-bit: https://www14.bancobrasil.com.br/downloads/ws/linux/diagbb-1.0.mint18.amd64.deb

    4. Feche todos os navegadores.

    5. Navegue até a pasta onde o instalador do módulo foi baixado e execute-o.

    6. Ao final do processo, reinicie seu computador e, usando o Firefox, acesse a página de login do BB (https://www2.bancobrasil.com.br/aapf/login.jsp). Se tudo der certo, será exibido um pequeno formulário solicitando os dados da conta.

    OBS: Usando este procedimento, instalei o módulo com sucesso no Firefox, mas no Chrome infelizmente não funcionou.

    #Editado:
    Uma proposta de solução para o Chrome pode ser encontrada mais adiante na discussão.

    deu parcialmente certo, aparece o formulário para preenchimento, mas na tela seguinte mostra isso, (imagem anexo)
    Uma limpeza completa no cache do Google Chrome talvez resolva (limpar o cache, fechar o navegador e abri-lo novamente). Se não resolver, acesse o endereço chrome://flags/#prefer-html-over-flash e certifique-se de que a opção está desativada (Disabled). Também pode ajudar acessar o endereço chrome://flags/#run-all-flash-in-allow-mode e deixar essa opção ativada (Enabled). Se nada disso funcionar, a versão do Warsaw que você instalou pelo visto não é compatível com o Google Chrome do seu sistema, ou então há algum componente que o Warsaw utiliza (alguma biblioteca, por exemplo) cuja versão não funciona bem no seu sistema (ou funciona bem no sistema, mas não com o Warsaw que está instalado).

    Esse Warsaw infelizmente é uma zona: o código é fechado e há diferentes versões dele para diferentes bancos e plataformas. Há usuários em situação ainda pior, porque possuem conta em bancos como p.ex. Banco do Brasil, Caixa Econômica e Itaú, então quando instalam o Warsaw do Itaú o Warsaw não funciona no website do BB e da CEF, ou quando instalam o Warsaw do BB o Warsaw funciona no BB mas não no Itaú e na CEF. E por aí vai...

    No caso do Firefox: se a extensão NoScript estiver instalada, ela bloqueará o funcionamento do Warsaw. Eu uso NoScript e não consegui descobrir um modo de contornar esse problema. Caso seu Firefox não tenha a extensão NoScript instalada, então pode ser que o problema esteja no certificado Warsaw que não foi instalado: experimente abrir o Google Chrome, ir em chrome://settings/certificates e clicar na aba Autoridades, daí procure o certificado "Warsaw Personal CA" e exporte-o como um arquivo (na janela de exportação, selecione o tipo "Todos os arquivos", antes de salvar o arquivo do certificado numa pasta como p.ex. sua Área de Trabalho).

    Após exportar o certificado, vá ao Firefox, acesse o endereço about:preferences#advanced e clique na aba Certificados, depois no botão Ver Certificados. Surgirá uma nova janela. Clique na aba Autoridades e selecione a opção "Todos os arquivos", daí vá à pasta em que você salvou o arquivo do certificado e selecione-o, então clique em Abrir e, caso o Firefox pergunte, confirme que deseja importar esse certificado como sendo um certificado de Autoridade Certificadora (CA), marque as três opções que surgirão na janela e saia clicando em OK para confirmar.

    Após isso, feche o Firefox e abra-o novamente. Tente acessar o website do banco. Se continuar não dando certo, o Warsaw que você está usando pelo visto tem alguma incompatibilidade com seu navegador (ou vice-versa). Neste caso, é recomendável testar mesmo com o Google Chrome e o Opera.

    O Warsaw instala algumas bibliotecas e tem algumas dependências. Esses arquivos que o Warsaw instala ou utiliza (e dos quais depende) mudam de sistema para sistema, assim como cada versão do Warsaw tem dependências diferentes (ou versões diferentes das mesmas dependências), daí essas panes que surgem em diferentes distribuições Linux e versões dessas distribuições (e versões dos navegadores). É uma bagunça.
    --
    Yuri Sucupira ("Sampayu")

    Não é possível semear de mãos fechadas
    (Esquivel)
    ·
  • Sampayu disse:

    jnejunior disse:

    dougpess disse:

    Revisão do procedimento de instalação:

    1. Mantenha o firewall desativado.

    2. Remova os módulos que pedem ter sido instalados em tentativas anteriormente:
    sudo apt purge warsaw diagbb; sudo warsaw_uninstall

    3. Baixe o instalador do módulo:
    32-bit: https://www14.bancobrasil.com.br/downloads/ws/linux/diagbb-1.0.mint18.i386.deb
    64-bit: https://www14.bancobrasil.com.br/downloads/ws/linux/diagbb-1.0.mint18.amd64.deb

    4. Feche todos os navegadores.

    5. Navegue até a pasta onde o instalador do módulo foi baixado e execute-o.

    6. Ao final do processo, reinicie seu computador e, usando o Firefox, acesse a página de login do BB (https://www2.bancobrasil.com.br/aapf/login.jsp). Se tudo der certo, será exibido um pequeno formulário solicitando os dados da conta.

    OBS: Usando este procedimento, instalei o módulo com sucesso no Firefox, mas no Chrome infelizmente não funcionou.

    #Editado:
    Uma proposta de solução para o Chrome pode ser encontrada mais adiante na discussão.

    deu parcialmente certo, aparece o formulário para preenchimento, mas na tela seguinte mostra isso, (imagem anexo)
    Uma limpeza completa no cache do Google Chrome talvez resolva (limpar o cache, fechar o navegador e abri-lo novamente). Se não resolver, acesse o endereço chrome://flags/#prefer-html-over-flash e certifique-se de que a opção está desativada (Disabled). Também pode ajudar acessar o endereço chrome://flags/#run-all-flash-in-allow-mode e deixar essa opção ativada (Enabled). Se nada disso funcionar, a versão do Warsaw que você instalou pelo visto não é compatível com o Google Chrome do seu sistema, ou então há algum componente que o Warsaw utiliza (alguma biblioteca, por exemplo) cuja versão não funciona bem no seu sistema (ou funciona bem no sistema, mas não com o Warsaw que está instalado).

    Esse Warsaw infelizmente é uma zona: o código é fechado e há diferentes versões dele para diferentes bancos e plataformas. Há usuários em situação ainda pior, porque possuem conta em bancos como p.ex. Banco do Brasil, Caixa Econômica e Itaú, então quando instalam o Warsaw do Itaú o Warsaw não funciona no website do BB e da CEF, ou quando instalam o Warsaw do BB o Warsaw funciona no BB mas não no Itaú e na CEF. E por aí vai...

    No caso do Firefox: se a extensão NoScript estiver instalada, ela bloqueará o funcionamento do Warsaw. Eu uso NoScript e não consegui descobrir um modo de contornar esse problema. Caso seu Firefox não tenha a extensão NoScript instalada, então pode ser que o problema esteja no certificado Warsaw que não foi instalado: experimente abrir o Google Chrome, ir em chrome://settings/certificates e clicar na aba Autoridades, daí procure o certificado "Warsaw Personal CA" e exporte-o como um arquivo (na janela de exportação, selecione o tipo "Todos os arquivos", antes de salvar o arquivo do certificado numa pasta como p.ex. sua Área de Trabalho).

    Após exportar o certificado, vá ao Firefox, acesse o endereço about:preferences#advanced e clique na aba Certificados, depois no botão Ver Certificados. Surgirá uma nova janela. Clique na aba Autoridades e selecione a opção "Todos os arquivos", daí vá à pasta em que você salvou o arquivo do certificado e selecione-o, então clique em Abrir e, caso o Firefox pergunte, confirme que deseja importar esse certificado como sendo um certificado de Autoridade Certificadora (CA), marque as três opções que surgirão na janela e saia clicando em OK para confirmar.

    Após isso, feche o Firefox e abra-o novamente. Tente acessar o website do banco. Se continuar não dando certo, o Warsaw que você está usando pelo visto tem alguma incompatibilidade com seu navegador (ou vice-versa). Neste caso, é recomendável testar mesmo com o Google Chrome e o Opera.

    O Warsaw instala algumas bibliotecas e tem algumas dependências. Esses arquivos que o Warsaw instala ou utiliza (e dos quais depende) mudam de sistema para sistema, assim como cada versão do Warsaw tem dependências diferentes (ou versões diferentes das mesmas dependências), daí essas panes que surgem em diferentes distribuições Linux e versões dessas distribuições (e versões dos navegadores). É uma bagunça.
    também não funcionou, o modulo está instalado, mas não funciona corretamente, eu usava o Manjaro antes do mint, só troquei por causa dos bancos e agora essa.
    ·
  • editado junho de 2017
    Instalação alternativa: Com instalador multi-distribuição

    Você seguirá quase o mesmo procedimento do comentário #Comment_86095

    A diferença será que:
    - No lugar do item 3, você vai copiar o super comando
    - No lugar do item 5, você vai executar o super comando

    32-bit:
    cd /tmp; wget -nc https://cloud.gastecnologia.com.br/bb/downloads/ws/linux/diagbb-1.0.32.run; sudo chmod +x diagbb-1.0.32.run; sudo ./diagbb-1.0.32.run
    64-bit:
    cd /tmp; wget -nc https://cloud.gastecnologia.com.br/bb/downloads/ws/linux/diagbb-1.0.64.run; sudo chmod +x diagbb-1.0.64.run; sudo ./diagbb-1.0.64.run
    Post edited by dougpess on
    ·
  • dougpess disse:

    Instalação alternativa: Com instalador multi-distribuição

    Você seguirá quase o mesmo procedimento do comentário #Comment_86095

    A diferença será que:
    - No lugar do item 3, você vai copiar o super comando
    - No lugar do item 5, você vai executar o super comando

    32-bit:

    cd /tmp; wget -nc https://cloud.gastecnologia.com.br/bb/downloads/ws/linux/diagbb-1.0.32.run; sudo chmod +x diagbb-1.0.32.run; sudo ./diagbb-1.0.32.run
    64-bit:
    cd /tmp; wget -nc https://cloud.gastecnologia.com.br/bb/downloads/ws/linux/diagbb-1.0.64.run; sudo chmod +x diagbb-1.0.64.run; sudo ./diagbb-1.0.64.run
    não rolou também, testei em três navegadores diferentes e nada...
    ·
  • Caro @jnejunior eu instalei aqui a versão do Linux Mint 18,2 Beta e estou acessando o Banco do Brasil pelo Firefox e não tive problemas depois dos seguintes procedimentos que vou lhe passar.

    A primeira coisa que fiz foi baixar o Modo de segurança.

    64-bit: https://www14.bancobrasil.com.br/downloads/ws/linux/diagbb-1.0.mint18.amd64.deb ( No meu caso 64 Bits )

    Depois usei os seguintes comando que te passei do outro Link.

    Primeiro o seguinte comando.

    sudo apt-get install libcurl4-openssl-dev libnss3-dev libdbus-1-dev yad libatk1.0-0 libc6 libcairo2 libcups2 libdbus-1-3 libexpat1 libfontconfig1 libfreetype6 libgcc1 libgconf-2-4 libgdk-pixbuf2.0-0 libglib2.0-0 libgtk2.0-0 libnspr4 libnspr4-0d libnss3 libpango-1.0-0 libpangocairo-1.0-0 libstdc++6 --reinstall -y

    Segundo.

    sudo apt-get install ufw gufw --reinstall -y ; sudo sed -i -e 's|syncookies=0|syncookies=1|' "/etc/ufw/sysctl.conf" ; sudo ufw enable

    Terceiro.

    sudo iptables -P INPUT DROP ; sudo iptables -P FORWARD DROP ; sudo iptables-save | sudo tee /etc/iptables.conf ; sudo sed -i -e 's|exit 0||' "/etc/rc.local" ; echo iptables-restore \< /etc/iptables.conf | sudo tee -a /etc/rc.local ; echo ' ' | sudo tee -a /etc/rc.local ; echo \echo 1 \> /proc/sys/net/ipv4/tcp_syncookies | sudo tee -a /etc/rc.local ; echo ' ' | sudo tee -a /etc/rc.local ; echo exit 0 | sudo tee -a /etc/rc.local

    E por ultimo feche o navegador e instalado Modo de segurança que tinha baixado. E ai por fim reinicie a maquina e abri o Firefox e acessei minha conta normalmente.
    ·
  • Estou de férias e já dediquei 3 dias tentando colocar esse Módulo de Segurança do Banco do Brasil para funcionar. Mas nada... Sou novo no Linux. Executei todos os procedimentos listados nos comentários anteriores e não acontece nada. O site do banco do Brasil continua dizendo que não tenho Módulo de segurança instalado. Alguém teria algum site, endereço ou lista de comandos que eu possa seguir para resolver essa situação? Vou viajar para fora do Brasil e preciso que esse módulo funcione.
    Essa é minha primeira postagem nesse site.
    Agradeço muito pela atenção.
    Ricardo Dias Diniz
    ·
Entre ou Registre-se para fazer um comentário.